Subject: Re: [PATCH] services: connman: Add iwd backend support.

From: Declan Tsien <[email-masked]>
Date: Thu, 12 Jan 2023 23:22:04 +0800

Bruno Victal <[email-masked]> writes:

> On 2023-01-12 14:31, Declan Tsien wrote:
>> Bruno Victal <[email-masked]> writes:
>> 
>>>
>>> IMO if that's not the case, neither iwd nor wpa-supplicant backends should be pulled by connman. (or at least they should be required only if they are present among the services field)
>>> This is because not every machine comes or wants to use a wireless adapter.
>>>
>> 
>> Right, are you suggesting removing wpa-supplicant from requirement
>> field?
>
> If that's possible, yes.

I think that is a question for people with more knowledge in this regard.

But to my experiencing using connman and iwd. I think it's OK.
Now I am running these two shepherd services separately

- connman (without wpa-supplicant and iwd)
- iwd

This patch can be closed without applying.

Thanks for clarifying things for me.